<script>
	import { onNavigate } from '$app/navigation';
	import '../app.css';
	import 'svelte-ripple-action/ripple.css';
	import { isSmallScreen } from '../stores/stores';
	import { Toaster } from 'svelte-french-toast';

	onNavigate((navigation) => {
		if (!document.startViewTransition) return;

		return new Promise((resolve) => {
			document.startViewTransition(async () => {
				resolve();
				await navigation.complete;
			});
		});
	});

	let innerWidth = 0;
	$: $isSmallScreen = innerWidth < 768;
</script>

<svelte:window bind:innerWidth />

<div class="flex flex-col w-screen h-screen bg-light-surface-500">
	<div class="grow flex overflow-x-hidden">
		<slot />
	</div>
</div>
<Toaster />
